## org.eclipse.emf.cdo.defs
Interface CDODefsPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDODefsPackageImpl

    public interface CDODefsPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `CDODefsFactory`

Nested Class Summary
`static interface` `CDODefsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `CDO_AUDIT_DEF` The meta object id for the '`CDO Audit Def`' class
`static int` `CDO_AUDIT_DEF__CDO_SESSION_DEF` The feature id for the 'Cdo Session Def' reference.
`static int` `CDO_AUDIT_DEF__TIME_STAMP` The feature id for the 'Time Stamp' attribute.
`static int` `CDO_AUDIT_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Audit Def' class.
`static int` `CDO_CLIENT_PROTOCOL_FACTORY_DEF` The meta object id for the '`CDO Client Protocol Factory Def`' class.
`static int` `CDO_CLIENT_PROTOCOL_FACTORY_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Client Protocol Factory Def' class.
`static int` `CDO_EAGER_PACKAGE_REGISTRY_DEF` The meta object id for the '`CDO Eager Package Registry Def`' class.
`static int` `CDO_EAGER_PACKAGE_REGISTRY_DEF__PACKAGES` The feature id for the 'Packages' containment reference list.
`static int` `CDO_EAGER_PACKAGE_REGISTRY_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Eager Package Registry Def' class.
`static int` `CDO_LAZY_PACKAGE_REGISTRY_DEF` The meta object id for the '`CDO Lazy Package Registry Def`' class.
`static int` `CDO_LAZY_PACKAGE_REGISTRY_DEF__PACKAGES` The feature id for the 'Packages' containment reference list.
`static int` `CDO_LAZY_PACKAGE_REGISTRY_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Lazy Package Registry Def' class.
`static int` `CDO_PACKAGE_REGISTRY_DEF` The meta object id for the '`CDO Package Registry Def`' class.
`static int` `CDO_PACKAGE_REGISTRY_DEF__PACKAGES` The feature id for the 'Packages' containment reference list.
`static int` `CDO_PACKAGE_REGISTRY_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Package Registry Def' class.
`static int` `CDO_RESOURCE_DEF` The meta object id for the '`CDO Resource Def`' class.
`static int` `CDO_RESOURCE_DEF__CDO_TRANSACTION` The feature id for the 'Cdo Transaction' reference.
`static int` `CDO_RESOURCE_DEF__PATH` The feature id for the 'Path' attribute.
`static int` `CDO_RESOURCE_DEF__RESOURCE_MODE` The feature id for the 'Resource Mode' attribute.
`static int` `CDO_RESOURCE_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Resource Def' class.
`static int` `CDO_SESSION_DEF` The meta object id for the '`CDO Session Def`' class.
`static int` `CDO_SESSION_DEF__CDO_PACKAGE_REGISTRY_DEF` The feature id for the 'Cdo Package Registry Def' reference.
`static int` `CDO_SESSION_DEF__CONNECTOR_DEF` The feature id for the 'Connector Def' reference.
`static int` `CDO_SESSION_DEF__FAIL_OVER_STRATEGY_DEF` The feature id for the 'Fail Over Strategy Def' reference.
`static int` `CDO_SESSION_DEF__LEGACY_SUPPORT_ENABLED` The feature id for the 'Legacy Support Enabled' attribute.
`static int` `CDO_SESSION_DEF__REPOSITORY_NAME` The feature id for the 'Repository Name' attribute.
`static int` `CDO_SESSION_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Session Def' class.
`static int` `CDO_TRANSACTION_DEF` The meta object id for the '`CDO Transaction Def`' class.
`static int` `CDO_TRANSACTION_DEF__CDO_SESSION_DEF` The feature id for the 'Cdo Session Def' reference.
`static int` `CDO_TRANSACTION_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Transaction Def' class.
`static int` `CDO_VIEW_DEF` The meta object id for the '`CDO View Def`' class.
`static int` `CDO_VIEW_DEF__CDO_SESSION_DEF` The feature id for the 'Cdo Session Def' reference.
`static int` `CDO_VIEW_DEF_FEATURE_COUNT` The number of structural features of the 'CDO View Def' class.
`static int` `EDYNAMIC_PACKAGE_DEF` The meta object id for the '`EDynamic Package Def`' class.
`static int` `EDYNAMIC_PACKAGE_DEF__NS_URI` The feature id for the 'Ns URI' attribute.
`static int` `EDYNAMIC_PACKAGE_DEF__RESOURCE_URI` The feature id for the 'Resource URI' attribute.
`static int` `EDYNAMIC_PACKAGE_DEF_FEATURE_COUNT` The number of structural features of the 'EDynamic Package Def' class.
`static int` `EGLOBAL_PACKAGE_DEF` The meta object id for the '`EGlobal Package Def`' class.
`static int` `EGLOBAL_PACKAGE_DEF__NS_URI` The feature id for the 'Ns URI' attribute.
`static int` `EGLOBAL_PACKAGE_DEF_FEATURE_COUNT` The number of structural features of the 'EGlobal Package Def' class.
`static CDODefsPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EPACKAGE_DEF` The meta object id for the '`EPackage Def`' class
`static int` `EPACKAGE_DEF__NS_URI` The feature id for the 'Ns URI' attribute.
`static int` `EPACKAGE_DEF_FEATURE_COUNT` The number of structural features of the 'EPackage Def' class.
`static int` `FAIL_OVER_STRATEGY_DEF` The meta object id for the '`Fail Over Strategy Def`' class.
`static int` `FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF` The feature id for the 'Connector Def' reference.
`static int` `FAIL_OVER_STRATEGY_DEF_FEATURE_COUNT` The number of structural features of the 'Fail Over Strategy Def' class.
`static int` `RESOURCE_MODE` The meta object id for the '`Resource Mode`' enum.
`static int` `RETRY_FAIL_OVER_STRATEGY_DEF` The meta object id for the '`Retry Fail Over Strategy Def`' class.
`static int` `RETRY_FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF` The feature id for the 'Connector Def' reference.
`static int` `RETRY_FAIL_OVER_STRATEGY_DEF__RETRIES` The feature id for the 'Retries' attribute.
`static int` `RETRY_FAIL_OVER_STRATEGY_DEF_FEATURE_COUNT` The number of structural features of the 'Retry Fail Over Strategy Def' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` `getCDOAuditDef_TimeStamp()` Returns the meta object for the attribute '`Time Stamp`'.
`org.eclipse.emf.ecore.EClass` `getCDOAuditDef()` Returns the meta object for class '`CDO Audit Def`'.
`org.eclipse.emf.ecore.EClass` `getCDOClientProtocolFactoryDef()` Returns the meta object for class '`CDO Client Protocol Factory Def`'.
`CDODefsFactory` `getCDODefsFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getCDOEagerPackageRegistryDef()` Returns the meta object for class '`CDO Eager Package Registry Def`'.
`org.eclipse.emf.ecore.EClass` `getCDOLazyPackageRegistryDef()` Returns the meta object for class '`CDO Lazy Package Registry Def`'.
`org.eclipse.emf.ecore.EReference` `getCDOPackageRegistryDef_Packages()` Returns the meta object for the containment reference list ' `Packages`'.
`org.eclipse.emf.ecore.EClass` `getCDOPackageRegistryDef()` Returns the meta object for class '`CDO Package Registry Def`'.
`org.eclipse.emf.ecore.EReference` `getCDOResourceDef_CdoTransaction()` Returns the meta object for the reference '`Cdo Transaction`'.
`org.eclipse.emf.ecore.EAttribute` `getCDOResourceDef_Path()` Returns the meta object for the attribute '`Path`'
`org.eclipse.emf.ecore.EAttribute` `getCDOResourceDef_ResourceMode()` Returns the meta object for the attribute '`Resource Mode`'.
`org.eclipse.emf.ecore.EClass` `getCDOResourceDef()` Returns the meta object for class '`CDO Resource Def`'.
`org.eclipse.emf.ecore.EReference` `getCDOSessionDef_CdoPackageRegistryDef()` Returns the meta object for the reference '`Cdo Package Registry Def`'.
`org.eclipse.emf.ecore.EReference` `getCDOSessionDef_ConnectorDef()` Returns the meta object for the reference '`Connector Def`'.
`org.eclipse.emf.ecore.EReference` `getCDOSessionDef_FailOverStrategyDef()` Returns the meta object for the reference '`Fail Over Strategy Def`'.
`org.eclipse.emf.ecore.EAttribute` `getCDOSessionDef_LegacySupportEnabled()` Returns the meta object for the attribute '`Legacy Support Enabled`'.
`org.eclipse.emf.ecore.EAttribute` `getCDOSessionDef_RepositoryName()` Returns the meta object for the attribute '`Repository Name`'.
`org.eclipse.emf.ecore.EClass` `getCDOSessionDef()` Returns the meta object for class '`CDO Session Def`'.
`org.eclipse.emf.ecore.EClass` `getCDOTransactionDef()` Returns the meta object for class '`CDO Transaction Def` '.
`org.eclipse.emf.ecore.EReference` `getCDOViewDef_CdoSessionDef()` Returns the meta object for the reference '`Cdo Session Def`'.
`org.eclipse.emf.ecore.EClass` `getCDOViewDef()` Returns the meta object for class '`CDO View Def`'.
`org.eclipse.emf.ecore.EAttribute` `getEDynamicPackageDef_ResourceURI()` Returns the meta object for the attribute '`Resource URI`'.
`org.eclipse.emf.ecore.EClass` `getEDynamicPackageDef()` Returns the meta object for class '`EDynamic Package Def`'.
`org.eclipse.emf.ecore.EClass` `getEGlobalPackageDef()` Returns the meta object for class '`EGlobal Package Def` '.
`org.eclipse.emf.ecore.EAttribute` `getEPackageDef_NsURI()` Returns the meta object for the attribute '`Ns URI`'
`org.eclipse.emf.ecore.EClass` `getEPackageDef()` Returns the meta object for class '`EPackage Def`'.
`org.eclipse.emf.ecore.EReference` `getFailOverStrategyDef_ConnectorDef()` Returns the meta object for the reference '`Connector Def`'.
`org.eclipse.emf.ecore.EClass` `getFailOverStrategyDef()` Returns the meta object for class '`Fail Over Strategy Def`'.
`org.eclipse.emf.ecore.EEnum` `getResourceMode()` Returns the meta object for enum '`Resource Mode`'.
`org.eclipse.emf.ecore.EAttribute` `getRetryFailOverStrategyDef_Retries()` Returns the meta object for the attribute '`Retries`'.
`org.eclipse.emf.ecore.EClass` `getRetryFailOverStrategyDef()` Returns the meta object for class '`Retry Fail Over Strategy Def`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final CDODefsPackage eINSTANCE

  The singleton instance of the package.

### CDO_VIEW_DEF

    static final int CDO_VIEW_DEF

  The meta object id for the '`CDO View Def`' class.

  See Also:
    `CDOViewDefImpl`, `CDODefsPackageImpl.getCDOViewDef()`, Constant Field Values

### CDO_VIEW_DEF__CDO_SESSION_DEF

    static final int CDO_VIEW_DEF__CDO_SESSION_DEF

  The feature id for the 'Cdo Session Def' reference.

  See Also:
    Constant Field Values

### CDO_VIEW_DEF_FEATURE_COUNT

    static final int CDO_VIEW_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO View Def' class.

  See Also:
    Constant Field Values

### CDO_TRANSACTION_DEF

    static final int CDO_TRANSACTION_DEF

  The meta object id for the '`CDO Transaction Def`' class.

  See Also:
    `CDOTransactionDefImpl`, `CDODefsPackageImpl.getCDOTransactionDef()`, Constant Field Values

### CDO_TRANSACTION_DEF__CDO_SESSION_DEF

    static final int CDO_TRANSACTION_DEF__CDO_SESSION_DEF

  The feature id for the 'Cdo Session Def' reference.

  See Also:
    Constant Field Values

### CDO_TRANSACTION_DEF_FEATURE_COUNT

    static final int CDO_TRANSACTION_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Transaction Def' class.

  See Also:
    Constant Field Values

### CDO_AUDIT_DEF

    static final int CDO_AUDIT_DEF

  The meta object id for the '`CDO Audit Def`' class.

  See Also:
    `CDOAuditDefImpl`, `CDODefsPackageImpl.getCDOAuditDef()`, Constant Field Values

### CDO_AUDIT_DEF__CDO_SESSION_DEF

    static final int CDO_AUDIT_DEF__CDO_SESSION_DEF

  The feature id for the 'Cdo Session Def' reference.

  See Also:
    Constant Field Values

### CDO_AUDIT_DEF__TIME_STAMP

    static final int CDO_AUDIT_DEF__TIME_STAMP

  The feature id for the 'Time Stamp' attribute.

  See Also:
    Constant Field Values

### CDO_AUDIT_DEF_FEATURE_COUNT

    static final int CDO_AUDIT_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Audit Def' class.

  See Also:
    Constant Field Values

### CDO_SESSION_DEF

    static final int CDO_SESSION_DEF

  The meta object id for the '`CDO Session Def`' class.

  See Also:
    `CDOSessionDefImpl`, `CDODefsPackageImpl.getCDOSessionDef()`, Constant Field Values

### CDO_SESSION_DEF__CONNECTOR_DEF

    static final int CDO_SESSION_DEF__CONNECTOR_DEF

  The feature id for the 'Connector Def' reference.

  See Also:
    Constant Field Values

### CDO_SESSION_DEF__REPOSITORY_NAME

    static final int CDO_SESSION_DEF__REPOSITORY_NAME

  The feature id for the 'Repository Name' attribute.

  See Also:
    Constant Field Values

### CDO_SESSION_DEF__CDO_PACKAGE_REGISTRY_DEF

    static final int CDO_SESSION_DEF__CDO_PACKAGE_REGISTRY_DEF

  The feature id for the 'Cdo Package Registry Def' reference.

  See Also:
    Constant Field Values

### CDO_SESSION_DEF__LEGACY_SUPPORT_ENABLED

    static final int CDO_SESSION_DEF__LEGACY_SUPPORT_ENABLED

  The feature id for the 'Legacy Support Enabled' attribute.

  See Also:
    Constant Field Values

### CDO_SESSION_DEF__FAIL_OVER_STRATEGY_DEF

    static final int CDO_SESSION_DEF__FAIL_OVER_STRATEGY_DEF

  The feature id for the 'Fail Over Strategy Def' reference.

  See Also:
    Constant Field Values

### CDO_SESSION_DEF_FEATURE_COUNT

    static final int CDO_SESSION_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Session Def' class.

  See Also:
    Constant Field Values

### FAIL_OVER_STRATEGY_DEF

    static final int FAIL_OVER_STRATEGY_DEF

  The meta object id for the '`Fail Over Strategy Def`' class.

  See Also:
    `FailOverStrategyDefImpl`, `CDODefsPackageImpl.getFailOverStrategyDef()`, Constant Field Values

### FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF

    static final int FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF

  The feature id for the 'Connector Def' reference.

  See Also:
    Constant Field Values

### FAIL_OVER_STRATEGY_DEF_FEATURE_COUNT

    static final int FAIL_OVER_STRATEGY_DEF_FEATURE_COUNT

  The number of structural features of the 'Fail Over Strategy Def' class.

  See Also:
    Constant Field Values

### RETRY_FAIL_OVER_STRATEGY_DEF

    static final int RETRY_FAIL_OVER_STRATEGY_DEF

  The meta object id for the '`Retry Fail Over Strategy Def`' class.

  See Also:
    `RetryFailOverStrategyDefImpl`, `CDODefsPackageImpl.getRetryFailOverStrategyDef()`, Constant Field Values

### RETRY_FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF

    static final int RETRY_FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF

  The feature id for the 'Connector Def' reference.

  See Also:
    Constant Field Values

### RETRY_FAIL_OVER_STRATEGY_DEF__RETRIES

    static final int RETRY_FAIL_OVER_STRATEGY_DEF__RETRIES

  The feature id for the 'Retries' attribute.

  See Also:
    Constant Field Values

### RETRY_FAIL_OVER_STRATEGY_DEF_FEATURE_COUNT

    static final int RETRY_FAIL_OVER_STRATEGY_DEF_FEATURE_COUNT

  The number of structural features of the 'Retry Fail Over Strategy Def' class.

  See Also:
    Constant Field Values

### CDO_PACKAGE_REGISTRY_DEF

    static final int CDO_PACKAGE_REGISTRY_DEF

  The meta object id for the '`CDO Package Registry Def`' class.

  See Also:
    `CDOPackageRegistryDefImpl`, `CDODefsPackageImpl.getCDOPackageRegistryDef()`, Constant Field Values

### CDO_PACKAGE_REGISTRY_DEF__PACKAGES

    static final int CDO_PACKAGE_REGISTRY_DEF__PACKAGES

  The feature id for the 'Packages' containment reference list.

  See Also:
    Constant Field Values

### CDO_PACKAGE_REGISTRY_DEF_FEATURE_COUNT

    static final int CDO_PACKAGE_REGISTRY_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Package Registry Def' class.

  See Also:
    Constant Field Values

### CDO_EAGER_PACKAGE_REGISTRY_DEF

    static final int CDO_EAGER_PACKAGE_REGISTRY_DEF

  The meta object id for the '`CDO Eager Package Registry Def`' class.

  See Also:
    `CDOEagerPackageRegistryDefImpl`, `CDODefsPackageImpl.getCDOEagerPackageRegistryDef()`, Constant Field Values

### CDO_EAGER_PACKAGE_REGISTRY_DEF__PACKAGES

    static final int CDO_EAGER_PACKAGE_REGISTRY_DEF__PACKAGES

  The feature id for the 'Packages' containment reference list.

  See Also:
    Constant Field Values

### CDO_EAGER_PACKAGE_REGISTRY_DEF_FEATURE_COUNT

    static final int CDO_EAGER_PACKAGE_REGISTRY_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Eager Package Registry Def' class.

  See Also:
    Constant Field Values

### CDO_LAZY_PACKAGE_REGISTRY_DEF

    static final int CDO_LAZY_PACKAGE_REGISTRY_DEF

  The meta object id for the '`CDO Lazy Package Registry Def`' class.

  See Also:
    `CDOLazyPackageRegistryDefImpl`, `CDODefsPackageImpl.getCDOLazyPackageRegistryDef()`, Constant Field Values

### CDO_LAZY_PACKAGE_REGISTRY_DEF__PACKAGES

    static final int CDO_LAZY_PACKAGE_REGISTRY_DEF__PACKAGES

  The feature id for the 'Packages' containment reference list.

  See Also:
    Constant Field Values

### CDO_LAZY_PACKAGE_REGISTRY_DEF_FEATURE_COUNT

    static final int CDO_LAZY_PACKAGE_REGISTRY_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Lazy Package Registry Def' class.

  See Also:
    Constant Field Values

### EPACKAGE_DEF

    static final int EPACKAGE_DEF

  The meta object id for the '`EPackage Def`' class.

  See Also:
    `EPackageDefImpl`, `CDODefsPackageImpl.getEPackageDef()`, Constant Field Values

### EPACKAGE_DEF__NS_URI

    static final int EPACKAGE_DEF__NS_URI

  The feature id for the 'Ns URI' attribute.

  See Also:
    Constant Field Values

### EPACKAGE_DEF_FEATURE_COUNT

    static final int EPACKAGE_DEF_FEATURE_COUNT

  The number of structural features of the 'EPackage Def' class.

  See Also:
    Constant Field Values

### EDYNAMIC_PACKAGE_DEF

    static final int EDYNAMIC_PACKAGE_DEF

  The meta object id for the '`EDynamic Package Def`' class.

  See Also:
    `EDynamicPackageDefImpl`, `CDODefsPackageImpl.getEDynamicPackageDef()`, Constant Field Values

### EDYNAMIC_PACKAGE_DEF__NS_URI

    static final int EDYNAMIC_PACKAGE_DEF__NS_URI

  The feature id for the 'Ns URI' attribute.

  See Also:
    Constant Field Values

### EDYNAMIC_PACKAGE_DEF__RESOURCE_URI

    static final int EDYNAMIC_PACKAGE_DEF__RESOURCE_URI

  The feature id for the 'Resource URI' attribute.

  See Also:
    Constant Field Values

### EDYNAMIC_PACKAGE_DEF_FEATURE_COUNT

    static final int EDYNAMIC_PACKAGE_DEF_FEATURE_COUNT

  The number of structural features of the 'EDynamic Package Def' class.

  See Also:
    Constant Field Values

### EGLOBAL_PACKAGE_DEF

    static final int EGLOBAL_PACKAGE_DEF

  The meta object id for the '`EGlobal Package Def`' class.

  See Also:
    `EGlobalPackageDefImpl`, `CDODefsPackageImpl.getEGlobalPackageDef()`, Constant Field Values

### EGLOBAL_PACKAGE_DEF__NS_URI

    static final int EGLOBAL_PACKAGE_DEF__NS_URI

  The feature id for the 'Ns URI' attribute.

  See Also:
    Constant Field Values

### EGLOBAL_PACKAGE_DEF_FEATURE_COUNT

    static final int EGLOBAL_PACKAGE_DEF_FEATURE_COUNT

  The number of structural features of the 'EGlobal Package Def' class.

  See Also:
    Constant Field Values

### CDO_CLIENT_PROTOCOL_FACTORY_DEF

    static final int CDO_CLIENT_PROTOCOL_FACTORY_DEF

  The meta object id for the '`CDO Client Protocol Factory Def`' class.

  See Also:
    `CDOClientProtocolFactoryDefImpl`, `CDODefsPackageImpl.getCDOClientProtocolFactoryDef()`, Constant Field Values

### CDO_CLIENT_PROTOCOL_FACTORY_DEF_FEATURE_COUNT

    static final int CDO_CLIENT_PROTOCOL_FACTORY_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Client Protocol Factory Def' class.

  See Also:
    Constant Field Values

### CDO_RESOURCE_DEF

    static final int CDO_RESOURCE_DEF

  The meta object id for the '`CDO Resource Def`' class.

  See Also:
    `CDOResourceDefImpl`, `CDODefsPackageImpl.getCDOResourceDef()`, Constant Field Values

### CDO_RESOURCE_DEF__CDO_TRANSACTION

    static final int CDO_RESOURCE_DEF__CDO_TRANSACTION

  The feature id for the 'Cdo Transaction' reference.

  See Also:
    Constant Field Values

### CDO_RESOURCE_DEF__RESOURCE_MODE

    static final int CDO_RESOURCE_DEF__RESOURCE_MODE

  The feature id for the 'Resource Mode' attribute.

  See Also:
    Constant Field Values

### CDO_RESOURCE_DEF__PATH

    static final int CDO_RESOURCE_DEF__PATH

  The feature id for the 'Path' attribute.

  See Also:
    Constant Field Values

### CDO_RESOURCE_DEF_FEATURE_COUNT

    static final int CDO_RESOURCE_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Resource Def' class.

  See Also:
    Constant Field Values

### RESOURCE_MODE

    static final int RESOURCE_MODE

  The meta object id for the '`Resource Mode`' enum.

  See Also:
    `ResourceMode`, `CDODefsPackageImpl.getResourceMode()`, Constant Field Values

Method Detail

### getCDOViewDef

    org.eclipse.emf.ecore.EClass getCDOViewDef()

  Returns the meta object for class '`CDO View Def`'.

  Returns:
    the meta object for class 'CDO View Def'.
  See Also:
    `CDOViewDef`

### getCDOViewDef_CdoSessionDef

    org.eclipse.emf.ecore.EReference getCDOViewDef_CdoSessionDef()

  Returns the meta object for the reference '`Cdo Session Def`'.

  Returns:
    the meta object for the reference 'Cdo Session Def'.
  See Also:
    `CDOViewDef.getCdoSessionDef()`, `getCDOViewDef()`

### getCDOTransactionDef

    org.eclipse.emf.ecore.EClass getCDOTransactionDef()

  Returns the meta object for class '`CDO Transaction Def` '.

  Returns:
    the meta object for class 'CDO Transaction Def'.
  See Also:
    `CDOTransactionDef`

### getCDOAuditDef

    org.eclipse.emf.ecore.EClass getCDOAuditDef()

  Returns the meta object for class '`CDO Audit Def`'.

  Returns:
    the meta object for class 'CDO Audit Def'.
  See Also:
    `CDOAuditDef`

### getCDOAuditDef_TimeStamp

    org.eclipse.emf.ecore.EAttribute getCDOAuditDef_TimeStamp()

  Returns the meta object for the attribute '`Time Stamp`'.

  Returns:
    the meta object for the attribute 'Time Stamp'.
  See Also:
    `CDOAuditDef.getTimeStamp()`, `getCDOAuditDef()`

### getCDOSessionDef

    org.eclipse.emf.ecore.EClass getCDOSessionDef()

  Returns the meta object for class '`CDO Session Def`'.

  Returns:
    the meta object for class 'CDO Session Def'.
  See Also:
    `CDOSessionDef`

### getCDOSessionDef_ConnectorDef

    org.eclipse.emf.ecore.EReference getCDOSessionDef_ConnectorDef()

  Returns the meta object for the reference '`Connector Def`'.

  Returns:
    the meta object for the reference 'Connector Def'.
  See Also:
    `CDOSessionDef.getConnectorDef()`, `getCDOSessionDef()`

### getCDOSessionDef_RepositoryName

    org.eclipse.emf.ecore.EAttribute getCDOSessionDef_RepositoryName()

  Returns the meta object for the attribute '`Repository Name`'.

  Returns:
    the meta object for the attribute 'Repository Name'.
  See Also:
    `CDOSessionDef.getRepositoryName()`, `getCDOSessionDef()`

### getCDOSessionDef_CdoPackageRegistryDef

    org.eclipse.emf.ecore.EReference getCDOSessionDef_CdoPackageRegistryDef()

  Returns the meta object for the reference '`Cdo Package Registry Def`'.

  Returns:
    the meta object for the reference 'Cdo Package Registry Def'.
  See Also:
    `CDOSessionDef.getCdoPackageRegistryDef()`, `getCDOSessionDef()`

### getCDOSessionDef_LegacySupportEnabled

    org.eclipse.emf.ecore.EAttribute getCDOSessionDef_LegacySupportEnabled()

  Returns the meta object for the attribute '`Legacy Support Enabled`'.

  Returns:
    the meta object for the attribute 'Legacy Support Enabled'.
  See Also:
    `CDOSessionDef.isLegacySupportEnabled()`, `getCDOSessionDef()`

### getCDOSessionDef_FailOverStrategyDef

    org.eclipse.emf.ecore.EReference getCDOSessionDef_FailOverStrategyDef()

  Returns the meta object for the reference '`Fail Over Strategy Def`'.

  Returns:
    the meta object for the reference 'Fail Over Strategy Def'.
  See Also:
    `CDOSessionDef.getFailOverStrategyDef()`, `getCDOSessionDef()`

### getFailOverStrategyDef

    org.eclipse.emf.ecore.EClass getFailOverStrategyDef()

  Returns the meta object for class '`Fail Over Strategy Def`'.

  Returns:
    the meta object for class 'Fail Over Strategy Def'.
  See Also:
    `FailOverStrategyDef`

### getFailOverStrategyDef_ConnectorDef

    org.eclipse.emf.ecore.EReference getFailOverStrategyDef_ConnectorDef()

  Returns the meta object for the reference '`Connector Def`'.

  Returns:
    the meta object for the reference 'Connector Def'.
  See Also:
    `FailOverStrategyDef.getConnectorDef()`, `getFailOverStrategyDef()`

### getRetryFailOverStrategyDef

    org.eclipse.emf.ecore.EClass getRetryFailOverStrategyDef()

  Returns the meta object for class '`Retry Fail Over Strategy Def`'.

  Returns:
    the meta object for class 'Retry Fail Over Strategy Def'.
  See Also:
    `RetryFailOverStrategyDef`

### getRetryFailOverStrategyDef_Retries

    org.eclipse.emf.ecore.EAttribute getRetryFailOverStrategyDef_Retries()

  Returns the meta object for the attribute '`Retries`'.

  Returns:
    the meta object for the attribute 'Retries'.
  See Also:
    `RetryFailOverStrategyDef.getRetries()`, `getRetryFailOverStrategyDef()`

### getCDOPackageRegistryDef

    org.eclipse.emf.ecore.EClass getCDOPackageRegistryDef()

  Returns the meta object for class '`CDO Package Registry Def`'.

  Returns:
    the meta object for class 'CDO Package Registry Def'.
  See Also:
    `CDOPackageRegistryDef`

### getCDOPackageRegistryDef_Packages

    org.eclipse.emf.ecore.EReference getCDOPackageRegistryDef_Packages()

  Returns the meta object for the containment reference list ' `Packages`'.

  Returns:
    the meta object for the containment reference list 'Packages'.
  See Also:
    `CDOPackageRegistryDef.getPackages()`, `getCDOPackageRegistryDef()`

### getCDOEagerPackageRegistryDef

    org.eclipse.emf.ecore.EClass getCDOEagerPackageRegistryDef()

  Returns the meta object for class '`CDO Eager Package Registry Def`'.

  Returns:
    the meta object for class 'CDO Eager Package Registry Def'.
  See Also:
    `CDOEagerPackageRegistryDef`

### getCDOLazyPackageRegistryDef

    org.eclipse.emf.ecore.EClass getCDOLazyPackageRegistryDef()

  Returns the meta object for class '`CDO Lazy Package Registry Def`'.

  Returns:
    the meta object for class 'CDO Lazy Package Registry Def'.
  See Also:
    `CDOLazyPackageRegistryDef`

### getEPackageDef

    org.eclipse.emf.ecore.EClass getEPackageDef()

  Returns the meta object for class '`EPackage Def`'.

  Returns:
    the meta object for class 'EPackage Def'.
  See Also:
    `EPackageDef`

### getEPackageDef_NsURI

    org.eclipse.emf.ecore.EAttribute getEPackageDef_NsURI()

  Returns the meta object for the attribute '`Ns URI`'.

  Returns:
    the meta object for the attribute 'Ns URI'.
  See Also:
    `EPackageDef.getNsURI()`, `getEPackageDef()`

### getEDynamicPackageDef

    org.eclipse.emf.ecore.EClass getEDynamicPackageDef()

  Returns the meta object for class '`EDynamic Package Def`'.

  Returns:
    the meta object for class 'EDynamic Package Def'.
  See Also:
    `EDynamicPackageDef`

### getEDynamicPackageDef_ResourceURI

    org.eclipse.emf.ecore.EAttribute getEDynamicPackageDef_ResourceURI()

  Returns the meta object for the attribute '`Resource URI`'.

  Returns:
    the meta object for the attribute 'Resource URI'.
  See Also:
    `EDynamicPackageDef.getResourceURI()`, `getEDynamicPackageDef()`

### getEGlobalPackageDef

    org.eclipse.emf.ecore.EClass getEGlobalPackageDef()

  Returns the meta object for class '`EGlobal Package Def` '.

  Returns:
    the meta object for class 'EGlobal Package Def'.
  See Also:
    `EGlobalPackageDef`

### getCDOClientProtocolFactoryDef

    org.eclipse.emf.ecore.EClass getCDOClientProtocolFactoryDef()

  Returns the meta object for class '`CDO Client Protocol Factory Def`'.

  Returns:
    the meta object for class 'CDO Client Protocol Factory Def'.
  See Also:
    `CDOClientProtocolFactoryDef`

### getCDOResourceDef

    org.eclipse.emf.ecore.EClass getCDOResourceDef()

  Returns the meta object for class '`CDO Resource Def`'.

  Returns:
    the meta object for class 'CDO Resource Def'.
  See Also:
    `CDOResourceDef`

### getCDOResourceDef_CdoTransaction

    org.eclipse.emf.ecore.EReference getCDOResourceDef_CdoTransaction()

  Returns the meta object for the reference '`Cdo Transaction`'.

  Returns:
    the meta object for the reference 'Cdo Transaction'.
  See Also:
    `CDOResourceDef.getCdoTransaction()`, `getCDOResourceDef()`

### getCDOResourceDef_ResourceMode

    org.eclipse.emf.ecore.EAttribute getCDOResourceDef_ResourceMode()

  Returns the meta object for the attribute '`Resource Mode`'.

  Returns:
    the meta object for the attribute 'Resource Mode'.
  See Also:
    `CDOResourceDef.getResourceMode()`, `getCDOResourceDef()`

### getCDOResourceDef_Path

    org.eclipse.emf.ecore.EAttribute getCDOResourceDef_Path()

  Returns the meta object for the attribute '`Path`'.

  Returns:
    the meta object for the attribute 'Path'.
  See Also:
    `CDOResourceDef.getPath()`, `getCDOResourceDef()`

### getResourceMode

    org.eclipse.emf.ecore.EEnum getResourceMode()

  Returns the meta object for enum '`Resource Mode`'.

  Returns:
    the meta object for enum 'Resource Mode'.
  See Also:
    `ResourceMode`

### getCDODefsFactory

    CDODefsFactory getCDODefsFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.